<?php
/**
 * Plugin Name: Diff date
 * Description: Créer une fonction (afficheDiff()) et un shortcode ([reg_affichedifference]) pour afficher la différence de date entre la date de publication et maintenant
 * Version: 1.0
 * Author: Régis Engueahrd
 * Author URI: http://enguehard.info
 * License: GPLv2
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: reg-diff
**/
defined('ABSPATH') or die('Nothing');

include('vendor/autoload.php');

use Carbon\Carbon;

function afficheDiff() {
    return Carbon::parse(get_the_date(DATE_W3C))->locale('fr_FR')->diffForHumans();
}

// Créer un shortcode pour la météo
add_shortcode( 'reg_affichedifference', 'afficheDiff' );

